using Hotline.Share.Enums.Exams;
using MiniExcelLibs.Attributes;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Exams.Questions
{
    public class QuestionExcel
    {
        /// <summary>
        /// 题干
        /// </summary>
        [ExcelColumnName("题干")]
        public string Title { get; set; }

        /// <summary>
        /// 试题类型
        /// </summary>
        [ExcelColumnName("试题类型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 难易程度
        /// </summary>
        [ExcelColumnName("难易程度")]
        public EDifficultyLevel DifficultyLevel { get; set; }

        /// <summary>
        /// 正式可用
        /// </summary>
        [ExcelColumnName("正式可用")]
        public bool FormalEnable { get; set; }

        /// <summary>
        /// 模拟可用
        /// </summary>
        [ExcelColumnName("模拟可用")]

        public bool SimulateEnable { get; set; }

        /// <summary>
        /// 选项A
        /// </summary>
        [ExcelColumnName("选项A")]
        public string OptionsA { get; set; }

        /// <summary>
        /// 选项B
        /// </summary>
        [ExcelColumnName("选项B")]
        public string OptionsB { get; set; }

        /// <summary>
        /// 选项C
        /// </summary>
        [ExcelColumnName("选项C")]
        public string OptionsC { get; set; }

        /// <summary>
        /// 选项D
        /// </summary>
        [ExcelColumnName("选项D")]
        public string OptionsD { get; set; }

        /// <summary>
        /// 选项E
        /// </summary>
        [ExcelColumnName("选项E")]
        public string OptionsE { get; set; }

        /// <summary>
        /// 选项F
        /// </summary>
        [ExcelColumnName("选项F")]
        public string OptionsF { get; set; }

        /// <summary>
        /// 选项G
        /// </summary>
        [ExcelColumnName("选项G")]
        public string OptionsG { get; set; }

        /// <summary>
        /// 选项H
        /// </summary>
        [ExcelColumnName("选项H")]
        public string OptionsH { get; set; }

        /// <summary>
        /// 选项I
        /// </summary>
        [ExcelColumnName("选项I")]
        public string OptionsI { get; set; }

        /// <summary>
        /// 选项J
        /// </summary>
        [ExcelColumnName("选项J")]
        public string OptionsJ { get; set; }

        /// <summary>
        /// 答案
        /// </summary>
        [ExcelColumnName("答案")]

        public string Answer { get; set; }

    }
}
